package me.ntfwc.blockLoggingPlugin;

import java.io.File;

import org.bukkit.plugin.java.JavaPlugin;

public abstract class ConfigControl {
	
	private static void makeSureConfigFileExists(JavaPlugin javaPlugin)
	{
		File configFile = new File(javaPlugin.getDataFolder(), "config.yml");
		
		if (!configFile.exists())
		{
			//make sure folder exists
			if (!configFile.getParentFile().exists())
			{
				configFile.getParentFile().mkdir();
			}
			javaPlugin.saveDefaultConfig();
		}
	}
	
	public static int getInt(JavaPlugin javaPlugin, String key)
	{
		makeSureConfigFileExists(javaPlugin);
		return javaPlugin.getConfig().getInt(key);
	}
}
