package me.ntfwc.blockLoggingPlugin;

import org.bukkit.Material;

public final class ExtendedBlockMaterial {
	private byte data;
	private boolean specialType;
	private Material material;

	public ExtendedBlockMaterial(Material material, byte data)
	{
		this.material = material;
		this.specialType = true;
		this.data = data;
	}
	public ExtendedBlockMaterial(Material material)
	{
		this.material = material;
		this.specialType = false;
		this.data = (byte) 0;
	}
	
	public byte getData()
	{
		return data;
	}
	
	public boolean isSpecialType()
	{
		return specialType;
	}
	
	public Material getMaterial()
	{
		return material;
	}
}
