package me.ntfwc.blockLoggingPlugin;
import java.io.FileWriter;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
public abstract class FileIO
{
	public static void appendStringToFile(String data, String filePath) throws IOException
	{
		FileWriter f = new FileWriter(filePath, true);
		f.write(data);
		f.close();
	}
	public static void appendBytesToFile(byte[] data, String filePath) throws IOException
	{
		FileOutputStream f = new FileOutputStream(filePath, true);
		f.write(data);
		f.close();
	}
	public static void writeStringToFile(String data, String filePath) throws IOException
	{
		FileWriter f = new FileWriter(filePath);
		f.write(data);
		f.close();
	}
	public static void writeBytesToFile(byte[] data, String filePath) throws IOException
	{
		FileOutputStream f = new FileOutputStream(filePath);
		f.write(data);
		f.close();
	}
	public static byte[] readBytesFromFile(String filePath) throws IOException
	{
		FileInputStream f = null;
		try
		{
			f = new FileInputStream(filePath);
		}
		catch (FileNotFoundException e)
		{
			throw new IOException("Could not find the file: " + filePath);
		}
		int dataAmount = f.available();
		byte[] data = new byte[dataAmount];
		f.read(data);
		f.close();
		return data;
	}
	public static String readStringFromFile(String filePath) throws IOException
	{
		byte[] bytes = readBytesFromFile(filePath);
		String data = new String(bytes);
		return data;
	}
}