package me.ntfwc.blockLoggingPlugin;

import java.util.Queue;
import java.util.concurrent.ConcurrentLinkedQueue;

public class MessageSender implements Runnable{
	private Queue<OutputTask> outputTasks = new ConcurrentLinkedQueue<OutputTask>();

	public void addTask(OutputTask task)
	{
		outputTasks.add(task);
	}
	
	public void run()
	{
		while (!outputTasks.isEmpty())
		{
			OutputTask task = outputTasks.poll();
			task.run();
		}
	}
}
