package me.ntfwc.blockLoggingPlugin;

import org.bukkit.block.Block;

public class PlayerDataContainer {
	private Block[] lastBlockChanges;
	public PlayerDataContainer()
	{
		lastBlockChanges = new Block[3];
	}
	
	public void addBlockChange(Block block){
		lastBlockChanges[2] = lastBlockChanges[1];
		lastBlockChanges[1] = lastBlockChanges[0];
		lastBlockChanges[0] = block;
	}
	
	public Block getBlockChanged(int i)
	{
		if (0 <= i && i < 3)
		{
			return lastBlockChanges[i];
		}
		return null;
	}
	
	public void clearBlockChanges()
	{
		lastBlockChanges[0] = null;
		lastBlockChanges[1] = null;
		lastBlockChanges[2] = null;
	}
}
