package me.ntfwc.blockLoggingPlugin;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerChangedWorldEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;


public class PlayerListener implements Listener{
	
	@EventHandler
	public void onPlayerJoin (PlayerJoinEvent event)
	{
		CoreAPI.playerDataDict.addPlayer(event.getPlayer());
	}
	
	@EventHandler
	public void onPlayerQuit (PlayerQuitEvent event)
	{
		Player player = event.getPlayer();
		
		CoreAPI.playerDataDict.removePlayer(player);
		//CoreAPI.blockLoggingRunnable.removeUserFromQueryMap(player);
	}
	
	@EventHandler
	public void onPlayerChangedWorld (PlayerChangedWorldEvent event)
	{
		Player player = event.getPlayer();
		PlayerDataContainer playerDataContainer = CoreAPI.getPlayerDataContainer(player);
		playerDataContainer.clearBlockChanges();
	}
	
}
