package me.ntfwc.blockLoggingPlugin;


import java.sql.SQLException;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

public class BlockLoggingRunnable implements Runnable{
	private BlockingQueue<LoggingTask> taskQueue = new LinkedBlockingQueue<LoggingTask>();
	//private ConcurrentHashMap<Player, LinkedList<LoggableBlockChange>> blockChangeQueryMap = new ConcurrentHashMap<Player, LinkedList<LoggableBlockChange>>();
	
	public void enqueTask(LoggingTask task)
	{
		taskQueue.add(task);
	}
	
	/*public void removeUserFromQueryMap(Player player)
	{
		blockChangeQueryMap.remove(player);
	}
	
	public LinkedList<LoggableBlockChange> getResultForUser(Player player)
	{
		LinkedList<LoggableBlockChange> result = blockChangeQueryMap.get(player);
		if (result != null)
		{
			removeUserFromQueryMap(player);
		}
		return result;
	}*/
	
	private void runTask(LoggingTask task)
	{
		try
		{
			task.run();
		}
		catch (SQLException e)
		{
			CoreAPI.log("SQL error occured: " + e.getMessage());
		}
	}
	
	public void run()
	{
		try
		{
			while (true)
			{
				LoggingTask task = taskQueue.take();
				runTask(task);
			}
		}
		catch (InterruptedException e)
		{
			
		}
		
	}
}
