package me.ntfwc.blockLoggingPlugin;

import java.util.HashMap;

import org.bukkit.entity.Player;

public class PlayerDataDictionary {
	private HashMap<Player, PlayerDataContainer> dictionary;
	public  PlayerDataDictionary()
	{
		dictionary = new HashMap<Player, PlayerDataContainer>();
	}
	
	public boolean addPlayer(Player player)
	{
		if (dictionary.containsKey(player))
		{
			return false;
		}
		dictionary.put(player, new PlayerDataContainer());
		return true;
		
	}
	
	public boolean removePlayer(Player player)
	{
		if (!dictionary.containsKey(player))
		{
			return false;
		}
		dictionary.remove(player);
		return true;
	}
	
	public PlayerDataContainer getPlayerDataContainer(Player player)
	{
		if (!dictionary.containsKey(player))
		{
			dictionary.put(player, new PlayerDataContainer());
			//CoreAPI.log("odd: player dictionary wasn't initialized before");
		}
		return dictionary.get(player);
	}
}
